## nautilus 44.0

=== debian/changelog ===
nautilus (1:44.0-1ubuntu2) lunar; urgency=medium

  * Depend on xdg-desktop-portal-gnome | xdg-desktop-portal-backend.
    Required for "Set as Background" feature
  * Cherry-pick fix for inconsistent on/off switch
  * Cherry-pick a translation fix
  * Cherry-pick a fix for annoying behavior with autofs mounts
  * Cherry-pick a fix for extra 1px thumbnail border

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Apr 2023 09:43:27 -0400

nautilus (1:44.0-1ubuntu1) lunar; urgency=medium

  * Resynchronize with Debian, remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - Revert commit that requires libcloudproviders because it's not in
      Ubuntu main

 -- Amin Bandali <bandali@ubuntu.com>  Wed, 29 Mar 2023 16:15:24 -0400

nautilus (44.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 27 Mar 2023 14:19:56 -0400

nautilus (1:44~rc-1ubuntu1) lunar; urgency=medium

  * Resynchronize with Debian, remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - Revert commit that requires libcloudproviders because it's not in
      Ubuntu main

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2023 14:03:13 -0500

nautilus (44~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Mar 2023 13:58:45 -0500

nautilus (1:44~beta-1ubuntu1) lunar; urgency=medium

  * Resynchronize with Debian, remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - Revert commit that requires libcloudproviders because it's not in
      Ubuntu main

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2023 15:25:46 -0500

nautilus (44~beta-1) experimental; urgency=medium

  * New upstream release
    - Restores "Expandable Folders in List View" feature (LP: #1995412)
      (Closes: #1031110)
  * debian/control.in: Bump minimum gtk4 to 4.9.1 & libadwaita to 1.3~alpha

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 16 Feb 2023 15:18:31 -0500

nautilus (1:44~alpha-0ubuntu1) lunar; urgency=medium

  * New upstream release
    - Restores "Expandable Folders in List View" feature (LP: #1995412)
  * debian/control.in: Bump minimum gtk4 to 4.9.1 & libadwaita to 1.3~alpha

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Jan 2023 14:02:59 -0500

nautilus (1:43.2-1ubuntu1) lunar; urgency=medium

  * Resynchronize with Debian, remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: nautilus
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: appstream-util <!nocheck>,
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               desktop-file-utils,
               gi-docgen,
               libadwaita-1-dev (>= 1.3~alpha),
               libcloudproviders-dev (>= 0.3.1),
               libfontconfig-dev,
               libgexiv2-dev (>= 0.14.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.72.0),
               libglib2.0-doc,
               libgnome-autoar-0-dev (>= 0.4.0),
               libgnome-desktop-4-dev (>= 43~),
               libgstreamer-plugins-base1.0-dev,
               libgtk-3-common,
               libgtk-4-dev (>= 4.9.1),
               libgtk-4-doc,
               libpango1.0-dev (>= 1.42),
               libportal-gtk4-dev (>= 0.5),
               libselinux1-dev (>= 2.0) [linux-any],
               libtracker-sparql-3.0-dev,
               libxml2-dev (>= 2.7.8),
               meson (>= 0.59.0),
               shared-mime-info (>= 0.50),
               libunity-dev (>= 5.0.0),
               tracker (>= 3) <!nocheck>,
               tracker-extract (>= 3) <!nocheck>,
               tracker-miner-fs (>= 3) <!nocheck>,
               tracker-test-utils (>= 3) <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/master
Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/master
Standards-Version: 4.6.2

Package: nautilus
Architecture: any
Depends: bubblewrap [linux-any],
         desktop-file-utils (>= 0.7),
         gsettings-desktop-schemas (>= 3.8.0),
         gvfs (>= 1.3.2),
         libglib2.0-data,
         libnautilus-extension4 (= ${binary:Version}),
         nautilus-data (= ${source:Version}),
         shared-mime-info (>= 0.50),
         tracker (>= 3),
         tracker-miner-fs (>= 3),
         tracker-extract (>= 3),
         xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gvfs-backends,
            libgdk-pixbuf2.0-bin,
            librsvg2-common
Suggests: eog,
          evince | pdf-viewer,
          gnome-sushi,
          nautilus-extension-brasero,
          nautilus-sendto,
          totem | mp3-decoder,
          xdg-user-dirs
Replaces: totem (<< 3.31.91-1),
Breaks: eiciel (<< 0.9.13.1-1.1~),
        folder-color (<< 0.0.86-0ubuntu5~),
        gedit (<< 40),
        nautilus-dropbox (<< 2019.02.14-1ubuntu2~),
        nautilus-extension-brasero (<< 3.12.3-2),
        nautilus-extension-burner (<< 3.0.10-1.2),
        nautilus-extension-gnome-console (<< 43),
        nautilus-filename-repairer (<< 0.2.0-3.1~),
        nautilus-font-manager (<< 0.8.8-2),
        nautilus-gtkhash (<< 1.4+git20220617-2.1~),
        nautilus-ideviceinfo (<< 0.1.0-0ubuntu15~),
        nautilus-image-converter (<< 0.3.1~git20110416-2.1~),
        nautilus-wipe (<< 0.3.1-2.1~),
        nautilus-share (<< 0.7.3-2ubuntu7~),
        seahorse-nautilus (<< 3.11.92-4.1~),
        totem (<< 3.31.91-1),
        unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
Description: file manager and graphical shell for GNOME
 Nautilus is the official file manager for the GNOME desktop. It allows
 one to browse directories, preview files and launch applications
 associated with them. It is also responsible for handling the icons on
 the GNOME desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: gir1.2-nautilus-4.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - gir bindings
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libnautilus-extension-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-nautilus-4.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.67.1),
         libnautilus-extension4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - development version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nautilus extensions.

Package: libnautilus-extension4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - runtime version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains a few runtime libraries needed by nautilus' extensions.

Package: nautilus-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for nautilus
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains pictures, localization files and other data
 needed by nautilus.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

ifeq ($(DEB_HOST_ARCH_OS),linux)
ENABLE_SELINUX := -Dselinux=true
else
ENABLE_SELINUX := -Dselinux=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocs=true \
		-Dpackagekit=true \
		-Dtests=all \
		-Dunity-launcher=true \
		$(ENABLE_SELINUX)

override_dh_auto_test:
	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
	NO_AT_BRIDGE=1 dbus-run-session -- xvfb-run --auto-servernum dh_auto_test

override_dh_install:
	dh_install
	mkdir -p debian/nautilus/usr/share/apport/package-hooks
	sed 's/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g' debian/source_nautilus.py.in > debian/nautilus/usr/share/apport/package-hooks/source_nautilus.py

## nautilus 44.2.1

=== debian/changelog ===
nautilus (1:44.2.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2023417)
  * debian/control.in: Bump minimum gtk4 to 4.10.4
  * Drop 4 patches applied in new release
  * Cherry-pick 3 fixes from the gnome-44 branch
  * Revert the reverting of a bugfix that requires gtk4 4.10.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Jun 2023 15:11:19 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
@@ -26,7 +26,7 @@
                libgnome-desktop-4-dev (>= 43~),
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-common,
-               libgtk-4-dev (>= 4.9.1),
+               libgtk-4-dev (>= 4.10.4),
                libgtk-4-doc,
                libpango1.0-dev (>= 1.42),
                libportal-gtk4-dev (>= 0.5),

## nautilus 45~beta2

=== debian/changelog ===
nautilus (1:45~beta2-1ubuntu1) mantic; urgency=medium

  * Resynchronize with Debian. Remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
      + Depend on xdg-desktop-portal-gnome | xdg-desktop-portal-backend.
        Required for "Set as Background" feature
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon
  * Drop Revert-sidebar patch: no longer needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 28 Aug 2023 07:29:16 -0400

nautilus (45~beta2-1) unstable; urgency=medium

  * New upstream release
  * release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 28 Aug 2023 07:26:46 -0400

nautilus (1:45~beta-1ubuntu1) mantic; urgency=medium

  * Refreshed Revert-sidebar patch, which has been almost entirely upstreamed.
  * Rewrote a part of unity_launcher_support.patch, as part of EEL has been
    replaced with the GLib API.
  * Resynchronize with Debian (LP: #2023417), remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
      + Depend on xdg-desktop-portal-gnome | xdg-desktop-portal-backend.
        Required for "Set as Background" feature
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - Revert-sidebar*.patch:
      + Revert commit that requires libcloudproviders because it's not in
        Ubuntu main
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 17 Aug 2023 10:19:54 +0200

nautilus (45~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib, GTK4, and libadwaita
  * Don't enable libcloudproviders on Ubuntu
  * Drop 4 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 11 Aug 2023 06:48:24 -0400

nautilus (44.2.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Jul 2023 13:23:37 -0400

nautilus (1:44.2.1-1ubuntu1) mantic; urgency=medium

  * Resynchronize with Debian (LP: #2023417), remaining Ubuntu changes:
    - Depend on xdg-desktop-portal-gnome | xdg-desktop-portal-backend.
      Required for "Set as Background" feature
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py,
      debian/nautilus-data.install:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - 12_unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - 18_unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - 19_unity_open_location_xid.patch:
      + Add a new dbus property to store the lists of opened locations
        referenced by their parent nautilus window XID.
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - Revert commit that requires libcloudproviders because it's not in
      Ubuntu main

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Jun 2023 15:04:38 -0400

nautilus (44.2.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum gtk4 to 4.10.4
  * Revert the reverting of a bugfix that requires gtk4 4.10.4
  * Cherry-pick 3 fixes from the gnome-44 branch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Jun 2023 14:16:06 -0400

nautilus (44.2-1) experimental; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * New upstream release (Closes: #1034880)
    - Fix crashes with expandable folders and on Other Locations (Corey
      Berla) (https://gitlab.gnome.org/GNOME/nautilus/-/issues/2882)
    - Avoid inconsistent search states (Khalid Abu Shawarib)
      (https://gitlab.gnome.org/GNOME/nautilus/-/issues/2875)
    - Prevent lingering tracker cursors (Carlos Garnacho)
      (https://gitlab.gnome.org/GNOME/nautilus/-/issues/2557)
    - Fix rubberband range behavior on list view (António Fernandes)
      (https://gitlab.gnome.org/GNOME/nautilus/-/issues/2974)

  [ Jeremy Bicha ]
  * debian/control.in: Depend on eject (Closes: #1035538)

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 29 May 2023 16:39:43 -0400

nautilus (1:44.1-1ubuntu1) mantic; urgency=medium



=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,13 @@
 ENABLE_SELINUX := -Dselinux=false
 endif
 
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes), yes)
+# Not in main repository
+ENABLE_CLOUD += -Dcloudproviders=false
+else
+ENABLE_CLOUD += -Dcloudproviders=true
+endif
+
 %:
 	dh $@
 
@@ -19,6 +26,7 @@
 		-Dpackagekit=true \
 		-Dtests=all \
 		-Dunity-launcher=true \
+		$(ENABLE_CLOUD) \
 		$(ENABLE_SELINUX)
 
 override_dh_auto_test:

## nautilus 45~rc

=== debian/changelog ===
nautilus (1:45~rc-1ubuntu1) mantic; urgency=medium

  * Resynchronize with Debian. Remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
      + Depend on xdg-desktop-portal-gnome | xdg-desktop-portal-backend.
        Required for "Set as Background" feature
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 28 Aug 2023 07:29:16 -0400

nautilus (45~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 11:14:22 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
@@ -15,18 +15,18 @@
                dh-sequence-gnome,
                desktop-file-utils,
                gi-docgen,
-               libadwaita-1-dev (>= 1.3~alpha),
+               libadwaita-1-dev (>= 1.4~beta),
                libcloudproviders-dev (>= 0.3.1),
                libfontconfig-dev,
                libgexiv2-dev (>= 0.14.0),
                libgirepository1.0-dev (>= 0.10.7-1~),
-               libglib2.0-dev (>= 2.72.0),
+               libglib2.0-dev (>= 2.77.0),
                libglib2.0-doc,
-               libgnome-autoar-0-dev (>= 0.4.0),
+               libgnome-autoar-0-dev (>= 0.4.4),
                libgnome-desktop-4-dev (>= 43~),
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-common,
-               libgtk-4-dev (>= 4.10.4),
+               libgtk-4-dev (>= 4.11.1),
                libgtk-4-doc,
                libpango1.0-dev (>= 1.42),
                libportal-gtk4-dev (>= 0.5),
@@ -54,6 +54,7 @@
 Architecture: any
 Depends: bubblewrap [linux-any],
          desktop-file-utils (>= 0.7),
+         eject,
          gsettings-desktop-schemas (>= 3.8.0),
          gvfs (>= 1.3.2),
          libglib2.0-data,
@@ -73,7 +74,6 @@
           evince | pdf-viewer,
           gnome-sushi,
           nautilus-extension-brasero,
-          nautilus-sendto,
           totem | mp3-decoder,
           xdg-user-dirs
 Replaces: totem (<< 3.31.91-1),
@@ -122,7 +122,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-nautilus-4.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.67.1),
+         libglib2.0-dev (>= 2.77.0),
          libnautilus-extension4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 override_dh_auto_test:
 	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
-	NO_AT_BRIDGE=1 dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
+	GTK_A11Y=none dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
 
 override_dh_install:
 	dh_install

## nautilus 46.0

=== debian/changelog ===
nautilus (1:46.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:09:09 +0000

nautilus (1:46.0-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Bump minimum GTK4 to 4.13.6
  * Drop 2 patches that reverted GTK4 version bump
  * Drop obsolete Build-Depends: libgtk-3-common

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 07:57:49 -0400

nautilus (1:46~rc-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Drop 2 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 09:11:58 -0500

nautilus (1:46~beta-0ubuntu3) noble; urgency=medium

  * Add another patch to fix 32-bit build (LP: #2054109)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 08:57:34 -0500

nautilus (1:46~beta-0ubuntu2) noble; urgency=medium

  * Cherry-pick patch to fix 32-bit build (LP: #2054109)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 22 Feb 2024 19:06:36 -0500

nautilus (1:46~beta-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Drop meson fatal warnings patch: obsolete
  * Bump minimum glib, gtk4, libadwaita, libgexiv2
  * Revert 2 commits that require gtk4 4.13
  * Drop obsolete Build-Depends: libxml2-dev
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Feb 2024 09:18:17 -0500

nautilus (1:45.2.1-4ubuntu1) noble; urgency=medium

  * Resynchronize with Debian. Remaining Ubuntu changes:
    - debian/control.in:
      + Build-Depend on libunity-dev
      + lower gnome-sushi Recommends to a Suggests
      + Depend on xdg-desktop-portal-gnome | xdg-desktop-portal-backend.
        Required for "Set as Background" feature
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 29 Jan 2024 09:29:21 +0100

nautilus (45.2.1-4) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTBFS when nocheck build option is specified (Closes: #1061466)

  [ Jeremy Bícha ]
  * salsa-ci: Disable reprotest

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Jan 2024 15:14:00 +0000

nautilus (45.2.1-3) unstable; urgency=medium

  * Update tracker test patch to really skip the test failure

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Jan 2024 20:39:25 -0500

nautilus (45.2.1-2) unstable; urgency=medium

  * Print more logs to get more debugging information for #1050733

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Jan 2024 19:07:37 -0500

nautilus (45.2.1-1) unstable; urgency=medium

  * New upstream release (LP: #2048892)
  * Stop using debian/control.in and dh_gnome_clean
  * Add patch to mark tracker build test as failing (Mitigates #1050733)
  * Drop recent changes to debian/rules related to the tracker test issue

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Jan 2024 16:47:47 -0500

nautilus (45.1-1) unstable; urgency=medium

  * New upstream release
  * Bump gexiv2 depency to 0.14.2

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 24 Oct 2023 09:35:42 +0200

nautilus (45.0-2) unstable; urgency=medium

  * Set XDG_RUNTIME_DIR to try to fix the tracker build test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Sep 2023 09:59:49 -0400

nautilus (45.0-1) unstable; urgency=medium

  * New upstream translations release
  * debian/rules Set $HOME and unset some related env variables
    to hopefully fix the tracker build test (Closes: #1050733)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Sep 2023 08:42:57 -0400

## nautilus 46.2

=== debian/changelog ===
nautilus (46.2-3) unstable; urgency=medium

  * Bump minimum GTK4 to 4.13.6
  * Remove patches that reverted changes that required GTK4 4.13.6
  * Bump Standards-Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Aug 2024 16:14:10 -0400

nautilus (46.2-2) unstable; urgency=medium

  * Cherry-pick reproducible builds fix (Closes: #1076368)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 Jul 2024 17:58:21 -0600

nautilus (46.2-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib, gtk4, libadwaita, libgexiv2
  * Revert 2 commits that require gtk4 4.13
  * Drop obsolete Build-Depends: libgtk-3-common
  * Drop obsolete Build-Depends: libxml2-dev
  * Drop meson fatal warnings patch: obsolete

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Jul 2024 08:20:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
@@ -15,27 +10,24 @@
                dh-sequence-gnome,
                desktop-file-utils,
                gi-docgen,
-               libadwaita-1-dev (>= 1.4~beta),
+               libadwaita-1-dev (>= 1.4.0),
                libcloudproviders-dev (>= 0.3.1),
                libfontconfig-dev,
-               libgexiv2-dev (>= 0.14.0),
+               libgexiv2-dev (>= 0.14.2),
                libgirepository1.0-dev (>= 0.10.7-1~),
-               libglib2.0-dev (>= 2.77.0),
+               libglib2.0-dev (>= 2.79.0),
                libglib2.0-doc,
                libgnome-autoar-0-dev (>= 0.4.4),
                libgnome-desktop-4-dev (>= 43~),
                libgstreamer-plugins-base1.0-dev,
-               libgtk-3-common,
-               libgtk-4-dev (>= 4.11.1),
+               libgtk-4-dev (>= 4.13.6),
                libgtk-4-doc,
                libpango1.0-dev (>= 1.42),
                libportal-gtk4-dev (>= 0.5),
                libselinux1-dev (>= 2.0) [linux-any],
                libtracker-sparql-3.0-dev,
-               libxml2-dev (>= 2.7.8),
                meson (>= 0.59.0),
                shared-mime-info (>= 0.50),
-               libunity-dev (>= 5.0.0),
                tracker (>= 3) <!nocheck>,
                tracker-extract (>= 3) <!nocheck>,
                tracker-miner-fs (>= 3) <!nocheck>,
@@ -44,11 +36,9 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/master
-Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
+Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
+Standards-Version: 4.7.0
 
 Package: nautilus
 Architecture: any
@@ -64,15 +54,14 @@
          tracker (>= 3),
          tracker-miner-fs (>= 3),
          tracker-extract (>= 3),
-         xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gvfs-backends,
+Recommends: gnome-sushi,
+            gvfs-backends,
             libgdk-pixbuf2.0-bin,
             librsvg2-common
 Suggests: eog,
           evince | pdf-viewer,
-          gnome-sushi,
           nautilus-extension-brasero,
           totem | mp3-decoder,
           xdg-user-dirs
@@ -93,7 +82,6 @@
         nautilus-share (<< 0.7.3-2ubuntu7~),
         seahorse-nautilus (<< 3.11.92-4.1~),
         totem (<< 3.31.91-1),
-        unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  one to browse directories, preview files and launch applications
@@ -122,7 +110,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-nautilus-4.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.77.0),
+         libglib2.0-dev (>= 2.79.0),
          libnautilus-extension4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

## nautilus 46.2-0ubuntu0.3trisquel3

=== debian/changelog ===
nautilus (1:46.2-0ubuntu0.3trisquel3) ecne; urgency=medium

  * Revert from using ubuntu-help to default gnome-help

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jan 2025 00:45:53 +0000

nautilus (1:46.2-0ubuntu0.3) noble; urgency=medium

  [ Nathan Pratta Teodosio ]
  * d/p/u/nautilus-sendto.patch extended:
   If {nautilus_sendto installed && mailer is a snap && folder in selection},
   do not present 'Email' option, as Nautilus then compresses the selected
   files to a zip, which it creates in /tmp, to which a snap doesn't have
   access (LP: #2072569).

  [ Alessandro Astone ]
  * d/p/list-base-Move-long-press-gesture-to-child-view.patch:
    - Backport patch to fix touchscreen selection by dragging (lp: #2084554)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 07 Nov 2024 11:15:38 +0100

nautilus (1:46.2-0ubuntu0.2) noble; urgency=medium

  * d/p/u/nautilus-sendto.patch: If nautilus-sendto is installed, then use
    it when clicking 'Email' in the file context menu, else do the default
    upstream action, namely to use the XDG portal (LP: #1996927).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 27 Jun 2024 20:51:58 +0200

nautilus (1:46.2-0ubuntu0.1) noble; urgency=medium

  * New upstream release (lp: #2067592)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 30 May 2024 12:05:31 +0200

nautilus (1:46.1-0ubuntu1) noble; urgency=medium

  * New upstream stable bugfix release (lp: #2064643)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 May 2024 17:08:57 +0200

## nautilus 46.4

=== debian/changelog ===
nautilus (1:46.4-0ubuntu0.2) noble; urgency=medium

  * Fix trash banner visibility (LP: #2130347)
    - d/p/location-banner-Hide-Trash-banner-when-empty.patch
    - d/p/location-banner-Fixup-update_trash_banner_visibility-call.patch

 -- Andreas Glinserer <andreas.glinserer@canonical.com>  Wed, 29 Oct 2025 11:02:00 +0100

nautilus (1:46.4-0ubuntu0.1) noble; urgency=medium

  * New upstream release (LP: #2108849)
    - Includes crash fix for (LP: #1813171)
    - Includes crash fix for (LP: #2095129)
  * Revert upstream rename of tracker/miners to localsearch/tinysparql:
    - d/p/Revert-general-React-to-tracker-projects-rename.patch
  * Drop patch already applied upstream:
    - d/p/list-base-Move-long-press-gesture-to-child-view.patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 09 Jun 2025 12:37:17 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,12 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+ENABLE_TESTS := -Dtests=all
+else
+ENABLE_TESTS := -Dtests=none
+endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 ENABLE_SELINUX := -Dselinux=true
@@ -37,3 +43,5 @@
 	dh_install
 	mkdir -p debian/nautilus/usr/share/apport/package-hooks
 	sed 's/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g' debian/source_nautilus.py.in > debian/nautilus/usr/share/apport/package-hooks/source_nautilus.py
+
+override_dh_gnome_clean:

## nautilus 46.4-0ubuntu0.1trisquel3

=== debian/changelog ===
nautilus (1:46.4-0ubuntu0.1trisquel3) ecne; urgency=medium

  * Revert from using ubuntu-help to default gnome-help

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 05 Jul 2025 06:48:20 +0000

## nautilus 46.4-0ubuntu0.2trisquel3

=== meson_options.txt ===
##############
# Extensions #
##############
option(
  'docs',
  type: 'boolean',
  value: false,
  description: 'Build documentation for extension library',
)
option(
  'extensions',
  type: 'boolean',
  value: true,
  description: 'Build stock extensions',
)
option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Build GObject introspection data for extension library',
)
##################
# End extensions #
##################

############
# Features #
############
option(
  'packagekit',
  type: 'boolean',
  value: true,
  description: 'Enable finding file type handlers using PackageKit',
)
option(
  'selinux',
  type: 'boolean',
  value: false,
  description: 'Enable SELinux context support in file properties dialog',
)
option(
  'unity-launcher',
  type: 'boolean',
  value: false,
  description: 'build with unity launcher support',
)
option(
  'cloudproviders',
  type: 'boolean',
  value: true,
  description: 'Enable the cloudproviders support',
)
################
# End features #
################

###########
# Testing #
###########
option(
  'tests',
  type: 'combo',
  choices: [
    'none',
    'headless',
    'all'
  ],
  value: 'headless',
  description: 'Build selected tests',
)
###############
# End testing #
###############

option(
  'profile',
  type: 'string',
  value: '',
  description: 'Build with specified application ID',
)

=== debian/changelog ===
nautilus (1:46.4-0ubuntu0.2trisquel3) ecne; urgency=medium

  * Revert from using ubuntu-help to default gnome-help

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 28 Nov 2025 00:25:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
@@ -28,6 +29,7 @@
                libtracker-sparql-3.0-dev,
                meson (>= 0.59.0),
                shared-mime-info (>= 0.50),
+               libunity-dev (>= 5.0.0),
                tracker (>= 3) <!nocheck>,
                tracker-extract (>= 3) <!nocheck>,
                tracker-miner-fs (>= 3) <!nocheck>,
@@ -36,9 +38,11 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
-Standards-Version: 4.7.0
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
+Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/master
+Standards-Version: 4.6.2
 
 Package: nautilus
 Architecture: any
@@ -54,14 +58,15 @@
          tracker (>= 3),
          tracker-miner-fs (>= 3),
          tracker-extract (>= 3),
+         xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-sushi,
-            gvfs-backends,
+Recommends: gvfs-backends,
             libgdk-pixbuf2.0-bin,
             librsvg2-common
 Suggests: eog,
           evince | pdf-viewer,
+          gnome-sushi,
           nautilus-extension-brasero,
           totem | mp3-decoder,
           xdg-user-dirs
@@ -82,6 +87,7 @@
         nautilus-share (<< 0.7.3-2ubuntu7~),
         seahorse-nautilus (<< 3.11.92-4.1~),
         totem (<< 3.31.91-1),
+        unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  one to browse directories, preview files and launch applications

## nautilus 47.0

=== debian/changelog ===
nautilus (47.0-2) unstable; urgency=medium

  * Remove obsolete Suggests: eog, nautilus-extension-brasero (Closes: #1085303)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 28 Oct 2024 17:22:53 +0100

nautilus (47.0-1) unstable; urgency=medium

  [ Alessandro Astone ]
  * New upstream release
    - Fix filechooser crash when searching (LP: #2078721)

  [ Jeremy Bícha ]
  * Set ${gir:Provides} for libnautilus-extension-dev
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 06:50:41 -0400

nautilus (47~beta.1-1) experimental; urgency=medium

  * New upstream release
    - Support being used as xdg-desktop-portal-gnome filechooser
      (LP: #1175608, LP: #2023044)
  * Bump minimum GTK4, libadwaita & libportal
  * Remove reproducibility patch: applied in new release
  * Add revert patches to avoid switch from tracker to localsearch for now

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Aug 2024 09:37:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: appstream-util <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
@@ -11,7 +10,7 @@
                dh-sequence-gnome,
                desktop-file-utils,
                gi-docgen,
-               libadwaita-1-dev (>= 1.4.0),
+               libadwaita-1-dev (>= 1.6~beta),
                libcloudproviders-dev (>= 0.3.1),
                libfontconfig-dev,
                libgexiv2-dev (>= 0.14.2),
@@ -21,15 +20,14 @@
                libgnome-autoar-0-dev (>= 0.4.4),
                libgnome-desktop-4-dev (>= 43~),
                libgstreamer-plugins-base1.0-dev,
-               libgtk-4-dev (>= 4.13.6),
+               libgtk-4-dev (>= 4.15.2),
                libgtk-4-doc,
                libpango1.0-dev (>= 1.42),
-               libportal-gtk4-dev (>= 0.5),
+               libportal-gtk4-dev (>= 0.7),
                libselinux1-dev (>= 2.0) [linux-any],
                libtracker-sparql-3.0-dev,
                meson (>= 0.59.0),
                shared-mime-info (>= 0.50),
-               libunity-dev (>= 5.0.0),
                tracker (>= 3) <!nocheck>,
                tracker-extract (>= 3) <!nocheck>,
                tracker-miner-fs (>= 3) <!nocheck>,
@@ -38,11 +36,9 @@
                xvfb <!nocheck>
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/ubuntu/master
-Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
+Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
+Standards-Version: 4.7.0
 
 Package: nautilus
 Architecture: any
@@ -58,16 +54,13 @@
          tracker (>= 3),
          tracker-miner-fs (>= 3),
          tracker-extract (>= 3),
-         xdg-desktop-portal-gnome | xdg-desktop-portal-backend,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gvfs-backends,
+Recommends: gnome-sushi,
+            gvfs-backends,
             libgdk-pixbuf2.0-bin,
             librsvg2-common
-Suggests: eog,
-          evince | pdf-viewer,
-          gnome-sushi,
-          nautilus-extension-brasero,
+Suggests: evince | pdf-viewer,
           totem | mp3-decoder,
           xdg-user-dirs
 Replaces: totem (<< 3.31.91-1),
@@ -87,7 +80,6 @@
         nautilus-share (<< 0.7.3-2ubuntu7~),
         seahorse-nautilus (<< 3.11.92-4.1~),
         totem (<< 3.31.91-1),
-        unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  one to browse directories, preview files and launch applications
@@ -120,6 +112,7 @@
          libnautilus-extension4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: ${gir:Provides}
 Description: libraries for nautilus components - development version
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.
